/*
   for STM32F446-nucleo

     Copyright (C) by Y.Ishioka
*/

#ifndef  __XSPI_H__
#define __XSPI_H__

#include "stm32f4xx.h"

uint16_t  xspi_send( uint16_t data ) ;
uint16_t  xspi_recv( void ) ;
void  xspi_set_cs_sd( int flag ) ;
void  xspi_set_cs_lcd( int flag ) ;
void  xspi_set_cs_tp( int flag ) ;
void  xspi_set_cs_nfc( int flag ) ;
void  xspi_mode_msb( void );
void  xspi_mode_lsb( void );
void  xspi_init( void ) ;

#endif

